from charmhelpers.core.hookenv import status_set, resource_get
from charms.reactive import when, when_not, set_flag


@when_not('bentest.installed')
def install_bentest():
    status_set('maintenance', 'fetching path for test-resource')

    path = resource_get('test-resource')
    if not path:
        status_set('blocked', "couldn't find test-resource")
        return

    status_set('maintenance', 'loading test-resource')

    with open(path, encoding='utf-8') as f:
        content = f.read()

    status_set('active', 'loaded test-resource: ' + content)

    set_flag('bentest.installed')
